]> SALOME platform Git repositories - tools/sat.git/blob - data/templates/PythonComponent/Makefile.in
Salome HOME
Update the PythonComponent template.
[tools/sat.git] / data / templates / PythonComponent / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #  Copyright (C) 2007-2010  CEA/DEN, EDF R&D, OPEN CASCADE
18 #
19 #  This library is free software; you can redistribute it and/or
20 #  modify it under the terms of the GNU Lesser General Public
21 #  License as published by the Free Software Foundation; either
22 #  version 2.1 of the License.
23 #
24 #  This library is distributed in the hope that it will be useful,
25 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
26 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
27 #  Lesser General Public License for more details.
28 #
29 #  You should have received a copy of the GNU Lesser General Public
30 #  License along with this library; if not, write to the Free Software
31 #  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
32 #
33 #  See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
34 #
35
36 #  Copyright (C) 2007-2010  CEA/DEN, EDF R&D, OPEN CASCADE
37 #
38 #  This library is free software; you can redistribute it and/or
39 #  modify it under the terms of the GNU Lesser General Public
40 #  License as published by the Free Software Foundation; either
41 #  version 2.1 of the License.
42 #
43 #  This library is distributed in the hope that it will be useful,
44 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
45 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
46 #  Lesser General Public License for more details.
47 #
48 #  You should have received a copy of the GNU Lesser General Public
49 #  License along with this library; if not, write to the Free Software
50 #  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
51 #
52 #  See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
53 #
54 VPATH = @srcdir@
55 pkgdatadir = $(datadir)/@PACKAGE@
56 pkglibdir = $(libdir)/@PACKAGE@
57 pkgincludedir = $(includedir)/@PACKAGE@
58 am__cd = CDPATH="${_dollar}{ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
59 install_sh_DATA = $(install_sh) -c -m 644
60 install_sh_PROGRAM = $(install_sh) -c
61 install_sh_SCRIPT = $(install_sh) -c
62 INSTALL_HEADER = $(INSTALL_DATA)
63 transform = $(program_transform_name)
64 NORMAL_INSTALL = :
65 PRE_INSTALL = :
66 POST_INSTALL = :
67 NORMAL_UNINSTALL = :
68 PRE_UNINSTALL = :
69 POST_UNINSTALL = :
70 build_triplet = @build@
71 host_triplet = @host@
72 target_triplet = @target@
73 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
74         $(srcdir)/Makefile.in \
75         $(top_srcdir)/adm_local/unix/make_common_starter.am \
76         $(top_srcdir)/configure \
77         $(top_srcdir)/doc/static/header.html.in AUTHORS COPYING \
78         ChangeLog INSTALL NEWS
79 subdir = .
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
82 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
83         $(ACLOCAL_M4)
84 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
85  configure.lineno config.status.lineno
86 mkinstalldirs = $(install_sh) -d
87 CONFIG_CLEAN_FILES = doc/static/header.html
88 SOURCES =
89 DIST_SOURCES =
90 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
91         html-recursive info-recursive install-data-recursive \
92         install-dvi-recursive install-exec-recursive \
93         install-html-recursive install-info-recursive \
94         install-pdf-recursive install-ps-recursive install-recursive \
95         installcheck-recursive installdirs-recursive pdf-recursive \
96         ps-recursive uninstall-recursive
97 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
98   distclean-recursive maintainer-clean-recursive
99 ETAGS = etags
100 CTAGS = ctags
101 DIST_SUBDIRS = $(SUBDIRS)
102 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
103 distdir = $(PACKAGE)-$(VERSION)
104 top_distdir = $(distdir)
105 am__remove_distdir = \
106   { test ! -d $(distdir) \
107     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
108          && rm -fr $(distdir); }; }
109 DIST_ARCHIVES = $(distdir).tar.gz
110 GZIP_ENV = --best
111 distuninstallcheck_listfiles = find . -type f -print
112 distcleancheck_listfiles = find . -type f -print
113 ACLOCAL = @ACLOCAL@
114 AMTAR = @AMTAR@
115 AR = @AR@
116 AUTOCONF = @AUTOCONF@
117 AUTOHEADER = @AUTOHEADER@
118 AUTOMAKE = @AUTOMAKE@
119 AWK = @AWK@
120 CC = @CC@
121 CCDEPMODE = @CCDEPMODE@
122 CFLAGS = @CFLAGS@
123 CORBA_CXXFLAGS = @CORBA_CXXFLAGS@
124 CORBA_INCLUDES = @CORBA_INCLUDES@
125 CORBA_IN_GUI = @CORBA_IN_GUI@
126 CORBA_LIBS = @CORBA_LIBS@
127 CORBA_ROOT = @CORBA_ROOT@
128 CPP = @CPP@
129 CPPFLAGS = @CPPFLAGS@
130 CXX = @CXX@
131 CXXCPP = @CXXCPP@
132 CXXDEPMODE = @CXXDEPMODE@
133 CXXFLAGS = @CXXFLAGS@
134 CYGPATH_W = @CYGPATH_W@
135 DEFS = @DEFS@
136 DEPDIR = @DEPDIR@
137 DOT = @DOT@
138 DOXYGEN = @DOXYGEN@
139 DOXYGEN_PYTHON_EXTENSION = @DOXYGEN_PYTHON_EXTENSION@
140 DOXYGEN_SUPPORT_STL = @DOXYGEN_SUPPORT_STL@
141 DOXYGEN_WITH_PYTHON = @DOXYGEN_WITH_PYTHON@
142 DOXYGEN_WITH_STL = @DOXYGEN_WITH_STL@
143 DVIPS = @DVIPS@
144 ECHO = @ECHO@
145 ECHO_C = @ECHO_C@
146 ECHO_N = @ECHO_N@
147 ECHO_T = @ECHO_T@
148 EGREP = @EGREP@
149 EXEEXT = @EXEEXT@
150 F77 = @F77@
151 FFLAGS = @FFLAGS@
152 GLOBAL_INSTALL = @GLOBAL_INSTALL@
153 GREP = @GREP@
154 GUI_CXXFLAGS = @GUI_CXXFLAGS@
155 GUI_LDFLAGS = @GUI_LDFLAGS@
156 GUI_ROOT_DIR = @GUI_ROOT_DIR@
157 IDL = @IDL@
158 IDLCXXFLAGS = @IDLCXXFLAGS@
159 IDLPYFLAGS = @IDLPYFLAGS@
160 IDL_CLN_CXX = @IDL_CLN_CXX@
161 IDL_CLN_H = @IDL_CLN_H@
162 IDL_CLN_OBJ = @IDL_CLN_OBJ@
163 IDL_SRV_CXX = @IDL_SRV_CXX@
164 IDL_SRV_H = @IDL_SRV_H@
165 IDL_SRV_OBJ = @IDL_SRV_OBJ@
166 INSTALL = @INSTALL@
167 INSTALL_DATA = @INSTALL_DATA@
168 INSTALL_PROGRAM = @INSTALL_PROGRAM@
169 INSTALL_SCRIPT = @INSTALL_SCRIPT@
170 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
171 KERNEL_CXXFLAGS = @KERNEL_CXXFLAGS@
172 KERNEL_LDFLAGS = @KERNEL_LDFLAGS@
173 KERNEL_ROOT_DIR = @KERNEL_ROOT_DIR@
174 KERNEL_SITE_DIR = @KERNEL_SITE_DIR@
175 LATEX = @LATEX@
176 LDEXPDYNFLAGS = @LDEXPDYNFLAGS@
177 LDFLAGS = @LDFLAGS@
178 LIBOBJS = @LIBOBJS@
179 LIBS = @LIBS@
180 LIBTOOL = @LIBTOOL@
181 LIB_LOCATION_SUFFIX = @LIB_LOCATION_SUFFIX@
182 LN_S = @LN_S@
183 LRELEASE = @LRELEASE@
184 LTLIBOBJS = @LTLIBOBJS@
185 MAKEINFO = @MAKEINFO@
186 MKDIR_P = @MKDIR_P@
187 MOC = @MOC@
188 MODULE_NAME = @MODULE_NAME@
189 OBJEXT = @OBJEXT@
190 OGL_INCLUDES = @OGL_INCLUDES@
191 OGL_LIBS = @OGL_LIBS@
192 OMNIORB_CXXFLAGS = @OMNIORB_CXXFLAGS@
193 OMNIORB_IDL = @OMNIORB_IDL@
194 OMNIORB_IDLCXXFLAGS = @OMNIORB_IDLCXXFLAGS@
195 OMNIORB_IDLPYFLAGS = @OMNIORB_IDLPYFLAGS@
196 OMNIORB_IDL_CLN_CXX = @OMNIORB_IDL_CLN_CXX@
197 OMNIORB_IDL_CLN_H = @OMNIORB_IDL_CLN_H@
198 OMNIORB_IDL_CLN_OBJ = @OMNIORB_IDL_CLN_OBJ@
199 OMNIORB_IDL_SRV_CXX = @OMNIORB_IDL_SRV_CXX@
200 OMNIORB_IDL_SRV_H = @OMNIORB_IDL_SRV_H@
201 OMNIORB_IDL_SRV_OBJ = @OMNIORB_IDL_SRV_OBJ@
202 OMNIORB_IDL_TIE_CXX = @OMNIORB_IDL_TIE_CXX@
203 OMNIORB_IDL_TIE_H = @OMNIORB_IDL_TIE_H@
204 OMNIORB_INCLUDES = @OMNIORB_INCLUDES@
205 OMNIORB_LIBS = @OMNIORB_LIBS@
206 OMNIORB_PACOIDLCXXFLAGS = @OMNIORB_PACOIDLCXXFLAGS@
207 OMNIORB_ROOT = @OMNIORB_ROOT@
208 PACKAGE = @PACKAGE@
209 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
210 PACKAGE_NAME = @PACKAGE_NAME@
211 PACKAGE_STRING = @PACKAGE_STRING@
212 PACKAGE_TARNAME = @PACKAGE_TARNAME@
213 PACKAGE_VERSION = @PACKAGE_VERSION@
214 PACOIDLCXXFLAGS = @PACOIDLCXXFLAGS@
215 PATH_SEPARATOR = @PATH_SEPARATOR@
216 PDFLATEX = @PDFLATEX@
217 PTHREAD_CC = @PTHREAD_CC@
218 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
219 PTHREAD_LIBS = @PTHREAD_LIBS@
220 PYTHON = @PYTHON@
221 PYTHONHOME = @PYTHONHOME@
222 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
223 PYTHON_INCLUDES = @PYTHON_INCLUDES@
224 PYTHON_LIBS = @PYTHON_LIBS@
225 PYTHON_PLATFORM = @PYTHON_PLATFORM@
226 PYTHON_PREFIX = @PYTHON_PREFIX@
227 PYTHON_SITE = @PYTHON_SITE@
228 PYTHON_SITE_EXEC = @PYTHON_SITE_EXEC@
229 PYTHON_SITE_INSTALL = @PYTHON_SITE_INSTALL@
230 PYTHON_SITE_PACKAGE = @PYTHON_SITE_PACKAGE@
231 PYTHON_VERSION = @PYTHON_VERSION@
232 QRCC = @QRCC@
233 QTDIR = @QTDIR@
234 QT_ASSISTANT_INCLUDES = @QT_ASSISTANT_INCLUDES@
235 QT_ASSISTANT_LIBS = @QT_ASSISTANT_LIBS@
236 QT_CORE_LIBS = @QT_CORE_LIBS@
237 QT_GUI_LIBS = @QT_GUI_LIBS@
238 QT_INCLUDES = @QT_INCLUDES@
239 QT_LIBS = @QT_LIBS@
240 QT_LIB_DIR = @QT_LIB_DIR@
241 QT_MT_INCLUDES = @QT_MT_INCLUDES@
242 QT_MT_LIBS = @QT_MT_LIBS@
243 QT_OTHER_LIBS = @QT_OTHER_LIBS@
244 QT_ROOT = @QT_ROOT@
245 QT_VERSION = @QT_VERSION@
246 QT_VERSION_ID = @QT_VERSION_ID@
247 RANLIB = @RANLIB@
248 ROOT_BUILDDIR = @ROOT_BUILDDIR@
249 ROOT_SRCDIR = @ROOT_SRCDIR@
250 RST2HTML = @RST2HTML@
251 SETX = @SETX@
252 SET_MAKE = @SET_MAKE@
253 SHELL = @SHELL@
254 STDLIB = @STDLIB@
255 STRIP = @STRIP@
256 TEMP = @TEMP@
257 UIC = @UIC@
258 VERSION = @VERSION@
259 XVERSION = @XVERSION@
260 abs_builddir = @abs_builddir@
261 abs_srcdir = @abs_srcdir@
262 abs_top_builddir = @abs_top_builddir@
263 abs_top_srcdir = @abs_top_srcdir@
264 ac_ct_CC = @ac_ct_CC@
265 ac_ct_CXX = @ac_ct_CXX@
266 ac_ct_F77 = @ac_ct_F77@
267 acx_pthread_config = @acx_pthread_config@
268 am__include = @am__include@
269 am__leading_dot = @am__leading_dot@
270 am__quote = @am__quote@
271 am__tar = @am__tar@
272 am__untar = @am__untar@
273 bindir = $(prefix)/bin/salome
274 build = @build@
275 build_alias = @build_alias@
276 build_cpu = @build_cpu@
277 build_os = @build_os@
278 build_vendor = @build_vendor@
279 builddir = @builddir@
280 datadir = @datadir@
281 datarootdir = @datarootdir@
282
283 # Documentation directory
284 docdir = $(datadir)/doc/salome
285 dvidir = @dvidir@
286 exec_prefix = @exec_prefix@
287 host = @host@
288 host_alias = @host_alias@
289 host_cpu = @host_cpu@
290 host_os = @host_os@
291 host_vendor = @host_vendor@
292 htmldir = @htmldir@
293 includedir = @includedir@
294 infodir = @infodir@
295 install_sh = @install_sh@
296 libdir = $(prefix)/lib@LIB_LOCATION_SUFFIX@/salome
297 libexecdir = @libexecdir@
298 localedir = @localedir@
299 localstatedir = @localstatedir@
300 mandir = @mandir@
301 mkdir_p = @mkdir_p@
302 oldincludedir = @oldincludedir@
303 pdfdir = @pdfdir@
304 pkgpyexecdir = @pkgpyexecdir@
305 pkgpythondir = @pkgpythondir@
306 prefix = @prefix@
307 program_transform_name = @program_transform_name@
308 psdir = @psdir@
309 pyexecdir = @pyexecdir@
310 pythondir = @pythondir@
311 sbindir = @sbindir@
312 sharedstatedir = @sharedstatedir@
313 srcdir = @srcdir@
314 sysconfdir = @sysconfdir@
315 target = @target@
316 target_alias = @target_alias@
317 target_cpu = @target_cpu@
318 target_os = @target_os@
319 target_vendor = @target_vendor@
320 top_builddir = @top_builddir@
321 top_srcdir = @top_srcdir@
322
323 # ============================================================
324 # The following is to avoid PACKAGE_... env variable
325 # redefinition compilation warnings
326 # ============================================================
327 #
328 AM_CXXFLAGS = @KERNEL_CXXFLAGS@ -include SALOMEconfig.h
329 AM_CPPFLAGS = @KERNEL_CXXFLAGS@ -include SALOMEconfig.h
330
331 # ============================================================
332 # This file defines the common definitions used in several
333 # Makefile. This file must be included, if needed, by the file
334 # Makefile.am.
335 # ============================================================
336 # Standard directory for installation
337 #
338 salomeincludedir = $(includedir)/salome
339 salomescriptdir = $(bindir)
340 salomepythondir = $(pythondir)/salome
341 salomepyexecdir = $(pyexecdir)/salome
342
343 # Directory for installing idl files
344 salomeidldir = $(prefix)/idl/salome
345
346 # Directory for installing resource files
347 salomeresdir = $(prefix)/share/salome/resources/@MODULE_NAME@
348
349 # Directories for installing admin files
350 admlocaldir = $(prefix)/adm_local
351 admlocalunixdir = $(admlocaldir)/unix
352 admlocalm4dir = $(admlocaldir)/unix/config_files
353
354 # Shared modules installation directory
355 sharedpkgpythondir = $(salomepythondir)/shared_modules
356
357 # extra distributed files
358 EXTRA_DIST = $(MOC_FILES:%_moc.cxx=%.h) $(QRC_FILES:qrc_%.cxx=%.qrc) \
359         $(UIC_FILES:ui_%.h=%.ui) $(nodist_salomeres_DATA:%.qm=%.ts) \
360         build_configure clean_configure
361
362 # -* Makefile *-
363 # Author : Patrick GOLDBRONN (CEA)
364 # Date : 28/06/2001
365 #  Modified by : Alexander BORODIN (OCN) - autotools usage
366 # $Header:
367 #
368 ACLOCAL_AMFLAGS = -I adm_local/unix/config_files \
369                   -I ${KERNEL_ROOT_DIR}/salome_adm/unix/config_files \
370                   -I ${GUI_ROOT_DIR}/adm_local/unix/config_files 
371
372 SUBDIRS = idl adm_local resources src bin doc
373 DISTCLEANFILES = a.out aclocal.m4 configure local-install.sh hack_libtool
374 all: all-recursive
375
376 .SUFFIXES:
377 am--refresh:
378         @:
379 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/adm_local/unix/make_common_starter.am $(am__configure_deps)
380         @for dep in $?; do \
381           case '$(am__configure_deps)' in \
382             *${_dollar}dep*) \
383               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
384               cd $(srcdir) && $(AUTOMAKE) --gnu  \
385                 && exit 0; \
386               exit 1;; \
387           esac; \
388         done; \
389         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
390         cd $(top_srcdir) && \
391           $(AUTOMAKE) --gnu  Makefile
392 .PRECIOUS: Makefile
393 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
394         @case '$?' in \
395           *config.status*) \
396             echo ' $(SHELL) ./config.status'; \
397             $(SHELL) ./config.status;; \
398           *) \
399             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
400             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
401         esac;
402
403 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
404         $(SHELL) ./config.status --recheck
405
406 $(top_srcdir)/configure:  $(am__configure_deps)
407         cd $(srcdir) && $(AUTOCONF)
408 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
409         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
410 doc/static/header.html: $(top_builddir)/config.status $(top_srcdir)/doc/static/header.html.in
411         cd $(top_builddir) && $(SHELL) ./config.status $@
412
413 mostlyclean-libtool:
414         -rm -f *.lo
415
416 clean-libtool:
417         -rm -rf .libs _libs
418
419 distclean-libtool:
420         -rm -f libtool
421
422 # This directory's subdirectories are mostly independent; you can cd
423 # into them and run `make' without going through this Makefile.
424 # To change the values of `make' variables: instead of editing Makefiles,
425 # (1) if the variable is set in `config.status', edit `config.status'
426 #     (which will cause the Makefiles to be regenerated when you run `make');
427 # (2) otherwise, pass the desired values on the `make' command line.
428 $(RECURSIVE_TARGETS):
429         @failcom='exit 1'; \
430         for f in x ${_dollar}MAKEFLAGS; do \
431           case ${_dollar}f in \
432             *=* | --[!k]*);; \
433             *k*) failcom='fail=yes';; \
434           esac; \
435         done; \
436         dot_seen=no; \
437         target=`echo $@ | sed s/-recursive//`; \
438         list='$(SUBDIRS)'; for subdir in ${_dollar}list; do \
439           echo "Making ${_dollar}target in ${_dollar}subdir"; \
440           if test "${_dollar}subdir" = "."; then \
441             dot_seen=yes; \
442             local_target="${_dollar}target-am"; \
443           else \
444             local_target="${_dollar}target"; \
445           fi; \
446           (cd ${_dollar}subdir && $(MAKE) $(AM_MAKEFLAGS) ${_dollar}local_target) \
447           || eval ${_dollar}failcom; \
448         done; \
449         if test "${_dollar}dot_seen" = "no"; then \
450           $(MAKE) $(AM_MAKEFLAGS) "${_dollar}target-am" || exit 1; \
451         fi; test -z "${_dollar}fail"
452
453 $(RECURSIVE_CLEAN_TARGETS):
454         @failcom='exit 1'; \
455         for f in x ${_dollar}MAKEFLAGS; do \
456           case ${_dollar}f in \
457             *=* | --[!k]*);; \
458             *k*) failcom='fail=yes';; \
459           esac; \
460         done; \
461         dot_seen=no; \
462         case "$@" in \
463           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
464           *) list='$(SUBDIRS)' ;; \
465         esac; \
466         rev=''; for subdir in ${_dollar}list; do \
467           if test "${_dollar}subdir" = "."; then :; else \
468             rev="${_dollar}subdir ${_dollar}rev"; \
469           fi; \
470         done; \
471         rev="${_dollar}rev ."; \
472         target=`echo $@ | sed s/-recursive//`; \
473         for subdir in ${_dollar}rev; do \
474           echo "Making ${_dollar}target in ${_dollar}subdir"; \
475           if test "${_dollar}subdir" = "."; then \
476             local_target="${_dollar}target-am"; \
477           else \
478             local_target="${_dollar}target"; \
479           fi; \
480           (cd ${_dollar}subdir && $(MAKE) $(AM_MAKEFLAGS) ${_dollar}local_target) \
481           || eval ${_dollar}failcom; \
482         done && test -z "${_dollar}fail"
483 tags-recursive:
484         list='$(SUBDIRS)'; for subdir in ${_dollar}list; do \
485           test "${_dollar}subdir" = . || (cd ${_dollar}subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
486         done
487 ctags-recursive:
488         list='$(SUBDIRS)'; for subdir in ${_dollar}list; do \
489           test "${_dollar}subdir" = . || (cd ${_dollar}subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
490         done
491
492 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
493         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
494         unique=`for i in ${_dollar}list; do \
495             if test -f "${_dollar}i"; then echo ${_dollar}i; else echo $(srcdir)/${_dollar}i; fi; \
496           done | \
497           $(AWK) '    { files[${_dollar}0] = 1; } \
498                END { for (i in files) print i; }'`; \
499         mkid -fID ${_dollar}unique
500 tags: TAGS
501
502 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
503                 $(TAGS_FILES) $(LISP)
504         tags=; \
505         here=`pwd`; \
506         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
507           include_option=--etags-include; \
508           empty_fix=.; \
509         else \
510           include_option=--include; \
511           empty_fix=; \
512         fi; \
513         list='$(SUBDIRS)'; for subdir in ${_dollar}list; do \
514           if test "${_dollar}subdir" = .; then :; else \
515             test ! -f ${_dollar}subdir/TAGS || \
516               tags="${_dollar}tags ${_dollar}include_option=${_dollar}here/${_dollar}subdir/TAGS"; \
517           fi; \
518         done; \
519         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
520         unique=`for i in ${_dollar}list; do \
521             if test -f "${_dollar}i"; then echo ${_dollar}i; else echo $(srcdir)/${_dollar}i; fi; \
522           done | \
523           $(AWK) '    { files[${_dollar}0] = 1; } \
524                END { for (i in files) print i; }'`; \
525         if test -z "$(ETAGS_ARGS)${_dollar}tags${_dollar}unique"; then :; else \
526           test -n "${_dollar}unique" || unique=${_dollar}empty_fix; \
527           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
528             ${_dollar}tags ${_dollar}unique; \
529         fi
530 ctags: CTAGS
531 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
532                 $(TAGS_FILES) $(LISP)
533         tags=; \
534         here=`pwd`; \
535         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
536         unique=`for i in ${_dollar}list; do \
537             if test -f "${_dollar}i"; then echo ${_dollar}i; else echo $(srcdir)/${_dollar}i; fi; \
538           done | \
539           $(AWK) '    { files[${_dollar}0] = 1; } \
540                END { for (i in files) print i; }'`; \
541         test -z "$(CTAGS_ARGS)${_dollar}tags${_dollar}unique" \
542           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
543              ${_dollar}tags ${_dollar}unique
544
545 GTAGS:
546         here=`$(am__cd) $(top_builddir) && pwd` \
547           && cd $(top_srcdir) \
548           && gtags -i $(GTAGS_ARGS) ${_dollar}here
549
550 distclean-tags:
551         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
552
553 distdir: $(DISTFILES)
554         $(am__remove_distdir)
555         test -d $(distdir) || mkdir $(distdir)
556         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^${_dollar}\\*]/\\\\&/g'`; \
557         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^${_dollar}\\*]/\\\\&/g'`; \
558         list='$(DISTFILES)'; \
559           dist_files=`for file in ${_dollar}list; do echo ${_dollar}file; done | \
560           sed -e "s|^${_dollar}srcdirstrip/||;t" \
561               -e "s|^${_dollar}topsrcdirstrip/|$(top_builddir)/|;t"`; \
562         case ${_dollar}dist_files in \
563           */*) $(MKDIR_P) `echo "${_dollar}dist_files" | \
564                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*${_dollar},,' | \
565                            sort -u` ;; \
566         esac; \
567         for file in ${_dollar}dist_files; do \
568           if test -f ${_dollar}file || test -d ${_dollar}file; then d=.; else d=$(srcdir); fi; \
569           if test -d ${_dollar}d/${_dollar}file; then \
570             dir=`echo "/${_dollar}file" | sed -e 's,/[^/]*${_dollar},,'`; \
571             if test -d $(srcdir)/${_dollar}file && test ${_dollar}d != $(srcdir); then \
572               cp -pR $(srcdir)/${_dollar}file $(distdir)${_dollar}dir || exit 1; \
573             fi; \
574             cp -pR ${_dollar}d/${_dollar}file $(distdir)${_dollar}dir || exit 1; \
575           else \
576             test -f $(distdir)/${_dollar}file \
577             || cp -p ${_dollar}d/${_dollar}file $(distdir)/${_dollar}file \
578             || exit 1; \
579           fi; \
580         done
581         list='$(DIST_SUBDIRS)'; for subdir in ${_dollar}list; do \
582           if test "${_dollar}subdir" = .; then :; else \
583             test -d "$(distdir)/${_dollar}subdir" \
584             || $(MKDIR_P) "$(distdir)/${_dollar}subdir" \
585             || exit 1; \
586             distdir=`$(am__cd) $(distdir) && pwd`; \
587             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
588             (cd ${_dollar}subdir && \
589               $(MAKE) $(AM_MAKEFLAGS) \
590                 top_distdir="${_dollar}top_distdir" \
591                 distdir="${_dollar}distdir/${_dollar}subdir" \
592                 am__remove_distdir=: \
593                 am__skip_length_check=: \
594                 distdir) \
595               || exit 1; \
596           fi; \
597         done
598         $(MAKE) $(AM_MAKEFLAGS) \
599           top_distdir="$(top_distdir)" distdir="$(distdir)" \
600           dist-hook
601         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
602           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
603           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
604           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
605         || chmod -R a+r $(distdir)
606 dist-gzip: distdir
607         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
608         $(am__remove_distdir)
609
610 dist-bzip2: distdir
611         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
612         $(am__remove_distdir)
613
614 dist-tarZ: distdir
615         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
616         $(am__remove_distdir)
617
618 dist-shar: distdir
619         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
620         $(am__remove_distdir)
621
622 dist-zip: distdir
623         -rm -f $(distdir).zip
624         zip -rq $(distdir).zip $(distdir)
625         $(am__remove_distdir)
626
627 dist dist-all: distdir
628         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
629         $(am__remove_distdir)
630
631 # This target untars the dist file and tries a VPATH configuration.  Then
632 # it guarantees that the distribution is self-contained by making another
633 # tarfile.
634 distcheck: dist
635         case '$(DIST_ARCHIVES)' in \
636         *.tar.gz*) \
637           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
638         *.tar.bz2*) \
639           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
640         *.tar.Z*) \
641           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
642         *.shar.gz*) \
643           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
644         *.zip*) \
645           unzip $(distdir).zip ;;\
646         esac
647         chmod -R a-w $(distdir); chmod a+w $(distdir)
648         mkdir $(distdir)/_build
649         mkdir $(distdir)/_inst
650         chmod a-w $(distdir)
651         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
652           && dc_destdir="${_dollar}{TMPDIR-/tmp}/am-dc-${_dollar}${_dollar}/" \
653           && cd $(distdir)/_build \
654           && ../configure --srcdir=.. --prefix="${_dollar}dc_install_base" \
655             $(DISTCHECK_CONFIGURE_FLAGS) \
656           && $(MAKE) $(AM_MAKEFLAGS) \
657           && $(MAKE) $(AM_MAKEFLAGS) dvi \
658           && $(MAKE) $(AM_MAKEFLAGS) check \
659           && $(MAKE) $(AM_MAKEFLAGS) install \
660           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
661           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
662           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="${_dollar}dc_install_base" \
663                 distuninstallcheck \
664           && chmod -R a-w "${_dollar}dc_install_base" \
665           && ({ \
666                (cd ../.. && umask 077 && mkdir "${_dollar}dc_destdir") \
667                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="${_dollar}dc_destdir" install \
668                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="${_dollar}dc_destdir" uninstall \
669                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="${_dollar}dc_destdir" \
670                     distuninstallcheck_dir="${_dollar}dc_destdir" distuninstallcheck; \
671               } || { rm -rf "${_dollar}dc_destdir"; exit 1; }) \
672           && rm -rf "${_dollar}dc_destdir" \
673           && $(MAKE) $(AM_MAKEFLAGS) dist \
674           && rm -rf $(DIST_ARCHIVES) \
675           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
676         $(am__remove_distdir)
677         @(echo "$(distdir) archives ready for distribution: "; \
678           list='$(DIST_ARCHIVES)'; for i in ${_dollar}list; do echo ${_dollar}i; done) | \
679           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '${_dollar}p' -e '${_dollar}x'
680 distuninstallcheck:
681         @cd $(distuninstallcheck_dir) \
682         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
683            || { echo "ERROR: files left after uninstall:" ; \
684                 if test -n "$(DESTDIR)"; then \
685                   echo "  (check DESTDIR support)"; \
686                 fi ; \
687                 $(distuninstallcheck_listfiles) ; \
688                 exit 1; } >&2
689 distcleancheck: distclean
690         @if test '$(srcdir)' = . ; then \
691           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
692           exit 1 ; \
693         fi
694         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
695           || { echo "ERROR: files left in build directory after distclean:" ; \
696                $(distcleancheck_listfiles) ; \
697                exit 1; } >&2
698 check-am: all-am
699 check: check-recursive
700 all-am: Makefile
701 installdirs: installdirs-recursive
702 installdirs-am:
703 install: install-recursive
704 install-exec: install-exec-recursive
705 install-data: install-data-recursive
706 uninstall: uninstall-recursive
707
708 install-am: all-am
709         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
710
711 installcheck: installcheck-recursive
712 install-strip:
713         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
714           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
715           `test -z '$(STRIP)' || \
716             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
717 mostlyclean-generic:
718
719 clean-generic:
720
721 distclean-generic:
722         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
723         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
724
725 maintainer-clean-generic:
726         @echo "This command is intended for maintainers to use"
727         @echo "it deletes files that may require special tools to rebuild."
728 clean: clean-recursive
729
730 clean-am: clean-generic clean-libtool mostlyclean-am
731
732 distclean: distclean-recursive
733         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
734         -rm -f Makefile
735 distclean-am: clean-am distclean-generic distclean-libtool \
736         distclean-tags
737
738 dvi: dvi-recursive
739
740 dvi-am:
741
742 html: html-recursive
743
744 info: info-recursive
745
746 info-am:
747
748 install-data-am:
749
750 install-dvi: install-dvi-recursive
751
752 install-exec-am:
753
754 install-html: install-html-recursive
755
756 install-info: install-info-recursive
757
758 install-man:
759
760 install-pdf: install-pdf-recursive
761
762 install-ps: install-ps-recursive
763
764 installcheck-am:
765
766 maintainer-clean: maintainer-clean-recursive
767         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
768         -rm -rf $(top_srcdir)/autom4te.cache
769         -rm -f Makefile
770 maintainer-clean-am: distclean-am maintainer-clean-generic
771
772 mostlyclean: mostlyclean-recursive
773
774 mostlyclean-am: mostlyclean-generic mostlyclean-libtool \
775         mostlyclean-local
776
777 pdf: pdf-recursive
778
779 pdf-am:
780
781 ps: ps-recursive
782
783 ps-am:
784
785 uninstall-am:
786
787 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
788         install-strip
789
790 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
791         all all-am am--refresh check check-am clean clean-generic \
792         clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
793         dist-gzip dist-hook dist-shar dist-tarZ dist-zip distcheck \
794         distclean distclean-generic distclean-libtool distclean-tags \
795         distcleancheck distdir distuninstallcheck dvi dvi-am html \
796         html-am info info-am install install-am install-data \
797         install-data-am install-dvi install-dvi-am install-exec \
798         install-exec-am install-html install-html-am install-info \
799         install-info-am install-man install-pdf install-pdf-am \
800         install-ps install-ps-am install-strip installcheck \
801         installcheck-am installdirs installdirs-am maintainer-clean \
802         maintainer-clean-generic mostlyclean mostlyclean-generic \
803         mostlyclean-libtool mostlyclean-local pdf pdf-am ps ps-am tags \
804         tags-recursive uninstall uninstall-am
805
806
807 # common rules
808
809 # meta object implementation files generation (moc)
810 %_moc.cxx: %.h
811         $(MOC) $< -o $@
812
813 # translation (*.qm) files generation (lrelease)
814 %.qm: %.ts
815         $(LRELEASE) $< -qm $@
816
817 # resource files generation (qrcc)
818 qrc_%.cxx: %.qrc
819         $(QRCC) $< -o $@ -name $(*F)
820
821 # qt forms files generation (uic)
822 ui_%.h: %.ui
823         $(UIC) -o $@ $<
824
825 # customize clean operation
826 mostlyclean-local:
827         rm -f @builddir@/*_moc.cxx
828         rm -f @builddir@/*.qm
829         rm -f @builddir@/ui_*.h
830         rm -f @builddir@/qrc_*.cxx
831
832 # tests
833 tests: unittest
834
835 unittest: $(UNIT_TEST_PROG)
836         @if test "x$(UNIT_TEST_PROG)" != "x"; then \
837             $(UNIT_TEST_PROG);                     \
838         fi;
839
840 dist-hook:
841         rm -rf `find $(distdir) -name CVS`
842
843 usr_docs:
844         (cd doc && $(MAKE) $(AM_MAKEFLAGS) usr_docs)
845
846 docs: usr_docs
847
848 dev_docs:
849         (cd doc && $(MAKE) $(AM_MAKEFLAGS) dev_docs)
850 # Tell versions [3.59,3.63) of GNU make to not export all variables.
851 # Otherwise a system limit (for SysV at least) may be exceeded.
852 .NOEXPORT: